[arch-commits] Commit in gtk-doc/repos/extra-any (4 files)

Jan Steffens heftig at archlinux.org
Tue Aug 6 14:00:00 UTC 2019


    Date: Tuesday, August 6, 2019 @ 13:59:59
  Author: heftig
Revision: 359254

archrelease: copy trunk to extra-any

Added:
  gtk-doc/repos/extra-any/PKGBUILD
    (from rev 359253, gtk-doc/trunk/PKGBUILD)
  gtk-doc/repos/extra-any/fix.diff
    (from rev 359253, gtk-doc/trunk/fix.diff)
Deleted:
  gtk-doc/repos/extra-any/PKGBUILD
  gtk-doc/repos/extra-any/fixperms.diff

---------------+
 PKGBUILD      |   86 ++++++++++++++++++++++++++++----------------------------
 fix.diff      |   41 ++++++++++++++++++++++++++
 fixperms.diff |   26 ----------------
 3 files changed, 84 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-06 13:59:49 UTC (rev 359253)
+++ PKGBUILD	2019-08-06 13:59:59 UTC (rev 359254)
@@ -1,43 +0,0 @@
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gtk-doc
-pkgver=1.31
-pkgrel=1
-pkgdesc="Documentation tool for public library API"
-url="https://www.gtk.org/gtk-doc/"
-arch=(any)
-license=(GPL FDL)
-depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
-         python-anytree)
-makedepends=(dblatex git yelp-tools meson)
-checkdepends=(bc gtk3 python-six python-parameterized)
-optdepends=('dblatex: PDF support')
-_commit=c268fa535424d193953487c694e2a8f770d3255f  # tags/GTK_DOC_1_31^0
-source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit"
-        fixperms.diff)
-sha256sums=('SKIP'
-            '6264dc71d0c21f46c139691bf4ea98dd404549f8e4f93a45e93a3ee47753e2d4')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  patch -Np1 -i ../fixperms.diff
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # Tests don't work yet
-  meson test -C build --print-errorlogs || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: gtk-doc/repos/extra-any/PKGBUILD (from rev 359253, gtk-doc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-06 13:59:59 UTC (rev 359254)
@@ -0,0 +1,43 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gtk-doc
+pkgver=1.31
+pkgrel=2
+pkgdesc="Documentation tool for public library API"
+url="https://www.gtk.org/gtk-doc/"
+arch=(any)
+license=(GPL FDL)
+depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
+         python-anytree)
+makedepends=(dblatex git yelp-tools meson)
+checkdepends=(bc gtk3 python-six python-parameterized)
+optdepends=('dblatex: PDF support')
+_commit=c268fa535424d193953487c694e2a8f770d3255f  # tags/GTK_DOC_1_31^0
+source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit"
+        fix.diff)
+sha256sums=('SKIP'
+            '25362c503667167f71f6991dc3d42d6a2a0bae4e6ecd128d9d2f9c62c4f5c74b')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  patch -Np1 -i ../fix.diff
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Tests don't work yet
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}

Copied: gtk-doc/repos/extra-any/fix.diff (from rev 359253, gtk-doc/trunk/fix.diff)
===================================================================
--- fix.diff	                        (rev 0)
+++ fix.diff	2019-08-06 13:59:59 UTC (rev 359254)
@@ -0,0 +1,41 @@
+diff --git i/gtkdoc/highlight.py w/gtkdoc/highlight.py
+index ba1c601..226aa12 100644
+--- i/gtkdoc/highlight.py
++++ w/gtkdoc/highlight.py
+@@ -46,6 +46,9 @@ def highlight_code(code, lang='c'):
+ 
+ 
+ def append_style_defs(css_file_name):
+-    os.chmod(css_file_name, 0o644)
++    try:
++        os.chmod(css_file_name, 0o644)
++    except OSError:
++        pass
+     with open(css_file_name, 'at', newline='\n', encoding='utf-8') as css:
+         css.write(HTML_FORMATTER.get_style_defs())
+diff --git i/gtkdoc/scan.py w/gtkdoc/scan.py
+index d04d4d4..2103d02 100644
+--- i/gtkdoc/scan.py
++++ w/gtkdoc/scan.py
+@@ -961,8 +961,8 @@ def ScanHeaderContent(input_lines, decl_list, get_types, options):
+                 logging.info('struct/union level : %d', level)
+ 
+     # here we want in_declaration=='', otherwise we have a partial declaration
+-    if in_declaration != '':
+-        raise RuntimeError('partial declaration (%s) : %s ' % (in_declaration, decl))
++    #if in_declaration != '':
++    #    raise RuntimeError('partial declaration (%s) : %s ' % (in_declaration, decl))
+ 
+     # print remaining forward declarations
+     for symbol in sorted(forward_decls.keys()):
+diff --git i/meson.build w/meson.build
+index 85e83ca..5e4d288 100644
+--- i/meson.build
++++ w/meson.build
+@@ -1,5 +1,5 @@
+ project('gtk-doc', 'c',
+-  version: '1.30.1',
++  version: '1.31',
+   license: 'GPL2+',
+   meson_version: '>= 0.50.0', # needed for https://mesonbuild.com/Python-module.html#path
+ )

Deleted: fixperms.diff
===================================================================
--- fixperms.diff	2019-08-06 13:59:49 UTC (rev 359253)
+++ fixperms.diff	2019-08-06 13:59:59 UTC (rev 359254)
@@ -1,26 +0,0 @@
-diff --git i/gtkdoc/highlight.py w/gtkdoc/highlight.py
-index ba1c601..226aa12 100644
---- i/gtkdoc/highlight.py
-+++ w/gtkdoc/highlight.py
-@@ -46,6 +46,9 @@ def highlight_code(code, lang='c'):
- 
- 
- def append_style_defs(css_file_name):
--    os.chmod(css_file_name, 0o644)
-+    try:
-+        os.chmod(css_file_name, 0o644)
-+    except OSError:
-+        pass
-     with open(css_file_name, 'at', newline='\n', encoding='utf-8') as css:
-         css.write(HTML_FORMATTER.get_style_defs())
-diff --git i/meson.build w/meson.build
-index 85e83ca..5e4d288 100644
---- i/meson.build
-+++ w/meson.build
-@@ -1,5 +1,5 @@
- project('gtk-doc', 'c',
--  version: '1.30.1',
-+  version: '1.31',
-   license: 'GPL2+',
-   meson_version: '>= 0.50.0', # needed for https://mesonbuild.com/Python-module.html#path
- )



More information about the arch-commits mailing list